<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="common.xsl"/>

<xsl:template match="/">
  <html>
  <head>
    <xsl:apply-templates select="document('head.xml')/common-head"/>
  </head>
  <body>
    <h1>CDashboard</h1>
    <div class="breadcrumb"><a href="overview.html">Overview</a> > Configure status</div>
    <table class="config-status">
	<tr>
		<td class='label'>Build name:</td><td><xsl:value-of select="Site/@BuildName"/></td>
		<td class='label'>Status:</td><td><xsl:value-of select="//ConfigureStatus"/></td>
	</tr>
	<tr>
		<td class='label'>Build stamp:</td><td><xsl:value-of select="Site/@BuildStamp"/></td>
		<td class='label'>Command:</td><td><xsl:value-of select="//ConfigureCommand"/></td>
	</tr>
	<tr>	
		<td class='label'>Name:</td><td><xsl:value-of select="Site/@Name"/></td>
		<td class='label'>Start time:</td><td><xsl:value-of select="//StartDateTime"/></td>
	</tr>
	<tr>
		<td class='label'>Generator:</td><td><xsl:value-of select="Site/@Generator"/></td>
		<td class='label'>End time:</td><td><xsl:value-of select="//EndDateTime"/></td>
	</tr>
	<tr>
		<td class='label'>Elapsed minutes:</td><td><xsl:value-of select="//ElapsedMinutes"/></td>	
		<td class='label'></td><td></td>
	</tr>
    </table>
    <hr class="delim"/>
    <pre>
	<xsl:value-of select="/Site/Configure//Log"/>
    </pre>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
