<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="common.xsl"/>

<xsl:template match="/">
  <html>
  <head>
    <xsl:apply-templates select="document('head.xml')/common-head"/>
  </head>
  <body>
    <h1>CDashboard</h1>
    <div class="breadcrumb"><a href="overview.html">Overview</a> > Test status</div>
    <table class="config-status">
	<tr>
		<td class='label'>Build name:</td><td><xsl:value-of select="Site/@BuildName"/></td>
		<td class='label'>Status:</td><td><xsl:value-of select="count(Site/Testing/Test[@Status != 'passed'])"/> of <xsl:value-of select="count(Site/Testing/Test)"/> failed</td>
	</tr>
	<tr>
		<td class='label'>Build stamp:</td><td><xsl:value-of select="Site/@BuildStamp"/></td>
		<td class='label'>Command:</td><td></td>
	</tr>
	<tr>	
		<td class='label'>Name:</td><td><xsl:value-of select="Site/@Name"/></td>
		<td class='label'>Start time:</td><td><xsl:value-of select="Site/Testing/StartDateTime"/></td>
	</tr>
	<tr>
		<td class='label'>Generator:</td><td><xsl:value-of select="Site/@Generator"/></td>
		<td class='label'>End time:</td><td><xsl:value-of select="Site/Testing/EndDateTime"/></td>
	</tr>
	<tr>
		<td class='label'>Elapsed minutes:</td><td><xsl:value-of select="Site/Testing/ElapsedMinutes"/></td>	
		<td class='label'></td><td></td>
	</tr>
    </table>
    <hr class="delim"/>
    <table class='tests'>
	<xsl:for-each select="Site/Testing/Test">
	    <tr><xsl:attribute name="class"><xsl:value-of select='@Status'/> test-begin</xsl:attribute>
		<td colspan="4"><xsl:value-of select="Name"/></td>
	    </tr>
	    <tr><xsl:attribute name="class"><xsl:value-of select='@Status'/> info</xsl:attribute>
		<td class='label'>Path</td><td><xsl:value-of select="Path"/></td>
		<td class='label'>FullName</td><td><xsl:value-of select="FullName"/></td>
	    </tr>
	    <tr><xsl:attribute name="class"><xsl:value-of select='@Status'/> info</xsl:attribute>
		<td class='label'>Command</td><td colspan="3"><xsl:value-of select="FullCommandLine"/></td>
	    </tr>
	    <tr><xsl:attribute name="class"><xsl:value-of select='@Status'/> info log</xsl:attribute>
		<td colspan="4"><pre><xsl:value-of select="Results/Measurement/Value"/></pre></td>
	    </tr>
	</xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
